Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.index
Interface BuildResultsIndexer

All Known Implementing Classes:
  DefaultBuildResultsIndexer, MultithreadedBuildResultsIndexer

    public interface BuildResultsIndexer

Method Summary
`void` | `deIndexBuild(Build build)`
`void` | `deIndexBuildResults(BuildResultsSummary summary, boolean includeTests)`
`long` | `indexBuild(Build build)` Indexes the build.
`long` | `indexBuildResult(BuildResults buildResults)` Indexes the build result
`long` | `reindexAll()` Reindexes all test results.
`void` | `reIndexBuildResults(BuildResults result, BuildResultsSummary summary, boolean includeTests)`

Method Detail

### reindexAll

    long reindexAll()
                    throws Exception

  Reindexes all test results.

  Returns:
    number of millis this index operation took
  Throws:
    `Exception`

### indexBuild

    long indexBuild(Build build)
                    throws Exception

  Indexes the build.

  Parameters:
    `build` -
  Returns:
    number of millis this index operation took
  Throws:
    `Exception`

### indexBuildResult

    long indexBuildResult(BuildResults buildResults)
                          throws Exception

  Indexes the build result

  Parameters:
    `buildResults` -
  Returns:
    number of millis this index operation took
  Throws:
    `Exception`

### reIndexBuildResults

    void reIndexBuildResults(BuildResults result,
                             BuildResultsSummary summary,
                             boolean includeTests)
                             throws Exception

  Throws:
    `Exception`

### deIndexBuildResults

    void deIndexBuildResults(BuildResultsSummary summary,
                             boolean includeTests)
                             throws Exception

  Throws:
    `Exception`

### deIndexBuild

    void deIndexBuild(Build build)
                      throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.